PublishArtifact (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.artifacts

## [Java] Interface PublishArtifact

- org.gradle.api.artifacts.PublishArtifact

- All Superinterfaces:
    Buildable

  A `PublishArtifact` is an artifact produced by a project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getClassifier()` Returns the classifier of this published artifact, if any.
    `Date` | `getDate()` Returns the date that should be used when publishing this artifact.
    `String` | `getExtension()` Returns the extension of this published artifact.
    `File` | `getFile()` Returns the file of this artifact.
    `String` | `getName()` Returns the name of the artifact.
    `String` | `getType()` Returns the type of the published artifact.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public String getClassifier()

      Returns the classifier of this published artifact, if any.

      Returns:
        The classifier. May be null.

    - #### public Date getDate()

      Returns the date that should be used when publishing this artifact. This is used in the module descriptor accompanying this artifact (the ivy.xml). If the date is not specified, the current date is used. If this artifact is published without an module descriptor, this property has no relevance.

      Returns:
        The date. May be null.

    - #### public String getExtension()

      Returns the extension of this published artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      Returns:
        The extension. Never null.

    - #### public File getFile()

      Returns the file of this artifact.

      Returns:
        The file. Never null.

    - #### public String getName()

      Returns the name of the artifact.

      Returns:
        The name. Never null.

    - #### public String getType()

      Returns the type of the published artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      Returns:
        The type. Never null.